// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#pragma once

#include "ISCW_UK2Node_FunctionResult.h"
#include "SCW_UK2Node_FunctionTerminator.h"

class UK2Node_FunctionResult;

namespace Sourcify
{
	class SCW_UK2Node_FunctionResult : public SCW_UK2Node_FunctionTerminator, public virtual ISCW_UK2Node_FunctionResult
	{
	public:
		SCW_UK2Node_FunctionResult(UK2Node_FunctionResult* InK2Node_FunctionResult);

		UK2Node_FunctionResult* ToUK2Node_FunctionResult() const;

		ISCW_UK2Node_FunctionResultPtr ToUK2Node_FunctionResultPtr() override;
		ISCW_UK2Node_FunctionResultConstPtr ToUK2Node_FunctionResultPtr() const override;

	protected:
		UK2Node_FunctionResult* K2Node_FunctionResult;
	};
} // namespace Sourcify